/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.adv;

import java.awt.datatransfer.DataFlavor;

/**
 * Class ModelFlavor is needed for Swing copy paste / drop and drag.
 */
public class ModelFlavor extends DataFlavor {
    /**
     * Create instance of ModelFlavor.
     */
	public ModelFlavor() {
		super(Object.class, "X-vsma/object; class=<java.lang.Object>;)");
	}
}
